Instantiate a saved query from a template
curl --request POST \
--url https://app.aiaxoniq.com/api/saved-queries/from-template \
--header 'Content-Type: application/json' \
--cookie oiq_token= \
--data '
{
"templateId": "<string>",
"name": "<string>"
}
'import requests
url = "https://app.aiaxoniq.com/api/saved-queries/from-template"
payload = {
"templateId": "<string>",
"name": "<string>"
}
headers = {
"cookie": "oiq_token=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'oiq_token=', 'Content-Type': 'application/json'},
body: JSON.stringify({templateId: '<string>', name: '<string>'})
};
fetch('https://app.aiaxoniq.com/api/saved-queries/from-template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Saved queries
Instantiate a saved query from a template
POST
/
api
/
saved-queries
/
from-template
Instantiate a saved query from a template
Authorizations
sessionCookiebearerAuth
Query Parameters
Tenant identifier. Overwritten from the authenticated session; a value naming a different tenant is refused with 403.
Required string length:
1 - 64Pattern:
^[A-Za-z0-9][A-Za-z0-9_-]*$Body
application/json
Response
200
Success
⌘I